rte_pipeline_params(3)

NAME
rte_pipeline_params

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

const char * name
int socket_id
uint32_t offset_port_id

Detailed Description

Parameters for pipeline creation

Definition at line 71 of file rte_pipeline.h.

Field Documentation

  const char* name
Pipeline name

Definition at line 73 of file rte_pipeline.h.

  int socket_id
CPU socket ID where memory for the pipeline and its elements (ports and tables) should be allocated

Definition at line 77 of file rte_pipeline.h.

  uint32_t offset_port_id
Offset within packet meta-data to port_id to be used by action "Send packet to output port read from packet meta-data". Has to be 4-byte aligned.

Definition at line 82 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.